Bug 127168 - rebuilding freeradius picks up system libeap rather than package libeap
rebuilding freeradius picks up system libeap rather than package libeap
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freeradius (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-02 17:43 EDT by Paul Bender
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-05 06:01:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Bender 2004-07-02 17:43:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Installed on my server, I have an RPM of freeradius-1.0.0-pre2 that I
created myself. When I build the RPM of freeradius-1.0.0-pre3, it
picks up the freeradius-1.0.0-pre2 libeap libraries installed on my
system rather than the free-radius-1.0.0-pre3 libeap libraries that
are part of the RPM that I am building. As a result, the newly built
RPM will not install, because it requires on libeap-1.0.0-pre2.so.

From my experience building my own RPM, I found the problem was caused
by the freeradius-0.9.0-libdir.patch included with the RPM. I found
that when I removed the patch, the problem went away and nothing else
seemed to go wrong.

Version-Release number of selected component (if applicable):
freeradius-1.0.0-0.pre3.1

How reproducible:
Always

Steps to Reproduce:
1. Build and install freeradius-1.0.0-pre2.
2. Build the freeradius-1.0.0-pre3 RPM.
3. Attempt to upgrade to the freeradius-1.0.0-pre3 RPM.
    

Actual Results:  freeradius-1.0.0-pre3 RPM fails to install because it
requires libeap-1.0.0-pre2.so.

Expected Results:  freeradius-1.0.0-pre3 RPM to install.

Additional info:

The problem can be worked around by uninstalling the old version of
freeradius before building the new version.
Comment 1 Thomas Woerner 2004-07-05 06:01:37 EDT
Fixed in rawhide in rpm freeradius-1.0.0-0.pre3.2 or newer.
Comment 2 Josh Bressers 2004-11-12 11:42:47 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-609.html

Note You need to log in before you can comment on or make changes to this bug.